Greenbone Vulnerability Management Libraries: nvti Struct Reference

Greenbone Vulnerability Management Libraries 23.1.2

Data Fields
nvti Struct Reference

The structure of a information record that corresponds to a NVT. More...

## Data Fields
gchar * | oid
| Object ID.
gchar * | name
| The name.
gchar * | summary
| The summary.
gchar * | insight
| The insight.
gchar * | affected
| Affected systems.
gchar * | impact
| Impact of vulnerability.
time_t | creation_time
| Time of creation, seconds since epoch.
time_t | modification_time
| Time of last change, sec. since epoch.
gchar * | solution
| The solution.
gchar * | solution_type
| The solution type.
gchar * | solution_method
| The solution method.
gchar * | tag
| List of tags attached to this NVT.
gchar * | cvss_base
| CVSS base score for this NVT.
gchar * | dependencies
| List of dependencies of this NVT.
gchar * | required_keys
| List of required KB keys of this NVT.
gchar * | mandatory_keys
| List of mandatory KB keys of this NVT.
gchar * | excluded_keys
| List of excluded KB keys of this NVT.
gchar * | required_ports
| List of required ports of this NVT.
gchar * | required_udp_ports
| List of required UDP ports of this NVT.
gchar * | detection
| Detection description.
gchar * | qod_type
| Quality of detection type.
gchar * | qod
| Quality of detection.
GSList * | refs
| Collection of VT references.
GSList * | severities
| Collection of VT severities.
GSList * | prefs
| Collection of NVT preferences.
gint | category
| The category, this NVT belongs to.
gchar * | family
| Family the NVT belongs to.

## Detailed Description

The structure of a information record that corresponds to a NVT.

## Field Documentation

## ◆ affected

gchar* nvti::affected

Affected systems.

## ◆ category

gint nvti::category

The category, this NVT belongs to.

## ◆ creation_time

time_t nvti::creation_time

Time of creation, seconds since epoch.

## ◆ cvss_base

gchar* nvti::cvss_base

CVSS base score for this NVT.

## ◆ dependencies

gchar* nvti::dependencies

List of dependencies of this NVT.

## ◆ detection

gchar* nvti::detection

Detection description.

## ◆ excluded_keys

gchar* nvti::excluded_keys

List of excluded KB keys of this NVT.

## ◆ family

gchar* nvti::family

Family the NVT belongs to.

## ◆ impact

gchar* nvti::impact

Impact of vulnerability.

## ◆ insight

gchar* nvti::insight

The insight.

## ◆ mandatory_keys

gchar* nvti::mandatory_keys

List of mandatory KB keys of this NVT.

## ◆ modification_time

time_t nvti::modification_time

Time of last change, sec. since epoch.

## ◆ name

gchar* nvti::name

The name.

## ◆ oid

gchar* nvti::oid

Object ID.

## ◆ prefs

GSList* nvti::prefs

Collection of NVT preferences.

## ◆ qod

gchar* nvti::qod

Quality of detection.

## ◆ qod_type

gchar* nvti::qod_type

Quality of detection type.

## ◆ refs

GSList* nvti::refs

Collection of VT references.

## ◆ required_keys

gchar* nvti::required_keys

List of required KB keys of this NVT.

## ◆ required_ports

gchar* nvti::required_ports

List of required ports of this NVT.

## ◆ required_udp_ports

gchar* nvti::required_udp_ports

List of required UDP ports of this NVT.

## ◆ severities

GSList* nvti::severities

Collection of VT severities.

## ◆ solution

gchar* nvti::solution

The solution.

## ◆ solution_method

gchar* nvti::solution_method

The solution method.

## ◆ solution_type

gchar* nvti::solution_type

The solution type.

## ◆ summary

gchar* nvti::summary

The summary.

## ◆ tag

gchar* nvti::tag

List of tags attached to this NVT.

The documentation for this struct was generated from the following file:

- base/nvti.c